[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomControlFilterEdit.EditKeyDown

Handles a KeyDown event for the Edit control.

## Declaration

Source position: editbtn.pas line 257

`protected procedure TCustomControlFilterEdit.EditKeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Virtual key code for the key down event.
`Shift` |  | Shift, Alt, or Ctrl modifier for the key down event.

## Description

EditKeyDown is an overridden method in TCustomControlFilterEdit. It implements the OnKeyDown event handler for the Edit in the grouped edit control. It calls the inherited EditKeyDown method on entry to signal an assigned OnEditKeyDown handler using the values in Key and Shift. No additional actions are performed if Key is set to 0 in the inherited method.

EditKeyDown extends the inherited method to handle additional key down events, including:

- Return
- Up, Shift+Up
- Down, Shift+Down
- PageUp, Shift+PageUp
- PageDn, Shift+PageDn
- Home, Shift+Home, Ctrl+Home
- End, Shift+End, Ctrl+End

The methods called to respond to the key down event are declared as abstract virtual methods in TCustomControlFilterEdit; they are implemented in descendent classes to call methods in the associated control for the filter edit control.

If the value in Key is handled in the method, Key is set to VK_UNKNOWN (0).

## See also

TCustomControlFilterEdit.ReturnKeyHandled |  | Indicates whether an assigned OnKeyPress event handler handles the Return or Enter key in the KeyDown method for the Edit.
TCustomControlFilterEdit.MovePrev |  | Moves to the previous value matching the filter for the control.
TCustomControlFilterEdit.MoveNext |  | Moves to the next value matching the filter for the control.
TCustomControlFilterEdit.MovePageUp |  | Moves one page of previous values matching the filter.
TCustomControlFilterEdit.MovePageDown |  | Moves one page of subsequent values matching the filter.
TCustomControlFilterEdit.MoveHome |  | Moves to the first value matching the filter.
TCustomControlFilterEdit.MoveEnd |  | Moves to the last value matching the filter.
TCustomAbstractGroupedEdit.EditKeyDown |  | Signals the OnKeyDown event handler (when assigned).